# Class Standards.PKCS.Signature.Signed

Inheritance graph

Description

  This is an ASN.1 structure from PKCS #10 v1.7 and others, which represents a signed block of data.

See also

  sign(), Standards.X509.sign_tbs().

Variable algorithm

  `Sequence Standards.PKCS.Signature.Signed.algorithm`

Description

  Getting

  Signing algorithm that was used to sign with.

  Setting

  Signing algorithm that was used to sign with.

Inherit Sequence

  inherit Sequence : Sequence

Variable signature

  `BitString Standards.PKCS.Signature.Signed.signature`

Description

  Getting

  The signature.

  Setting

  The signature.

Variable tbs

  `Object Standards.PKCS.Signature.Signed.tbs`

Description

  Getting

  ASN.1 structure that has been signed.

  Setting

  ASN.1 structure that has been signed.